<?php

namespace Neo\UserBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Ubusinesstaxonomyicb
 *
 * @ORM\Table(name="UBusinessTaxonomyICB")
 * @ORM\Entity
 */
class Ubusinesstaxonomyicb
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="code", type="integer", nullable=false)
     */
    private $code;

    /**
     * @var string
     *
     * @ORM\Column(name="Subsector", type="string", length=100, nullable=false)
     */
    private $subsector;

    /**
     * @var \Doctrine\Common\Collections\Collection
     *
     * @ORM\ManyToMany(targetEntity="Uenterprises", mappedBy="taxonomy")
     */
    private $enterprise;

    /**
     * Constructor
     */
    public function __construct()
    {
        $this->enterprise = new \Doctrine\Common\Collections\ArrayCollection();
    }
    

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set code
     *
     * @param integer $code
     * @return Ubusinesstaxonomyicb
     */
    public function setCode($code)
    {
        $this->code = $code;
    
        return $this;
    }

    /**
     * Get code
     *
     * @return integer 
     */
    public function getCode()
    {
        return $this->code;
    }

    /**
     * Set subsector
     *
     * @param string $subsector
     * @return Ubusinesstaxonomyicb
     */
    public function setSubsector($subsector)
    {
        $this->subsector = $subsector;
    
        return $this;
    }

    /**
     * Get subsector
     *
     * @return string 
     */
    public function getSubsector()
    {
        return $this->subsector;
    }

    /**
     * Add enterprise
     *
     * @param \Neo\UserBundle\Entity\Uenterprises $enterprise
     * @return Ubusinesstaxonomyicb
     */
    public function addEnterprise(\Neo\UserBundle\Entity\Uenterprises $enterprise)
    {
        $this->enterprise[] = $enterprise;
    
        return $this;
    }

    /**
     * Remove enterprise
     *
     * @param \Neo\UserBundle\Entity\Uenterprises $enterprise
     */
    public function removeEnterprise(\Neo\UserBundle\Entity\Uenterprises $enterprise)
    {
        $this->enterprise->removeElement($enterprise);
    }

    /**
     * Get enterprise
     *
     * @return \Doctrine\Common\Collections\Collection 
     */
    public function getEnterprise()
    {
        return $this->enterprise;
    }

    public function __tostring()
    {
        return $this->getSubsector();
    }
}