<?php

namespace Neo\UserBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Udevelopers
 *
 * @ORM\Table(name="UDevelopers")
 * @ORM\Entity
 */
class Udevelopers
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="name", type="string", length=100, nullable=false)
     */
    private $name;

    /**
     * @var \Doctrine\Common\Collections\Collection
     *
     * @ORM\ManyToMany(targetEntity="Uapps", mappedBy="developer")
     */
    private $app;

    /**
     * @var \Ucountries
     *
     * @ORM\ManyToOne(targetEntity="Ucountries")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="country_id", referencedColumnName="id")
     * })
     */
    private $country;

    /**
     * @var \Uaddresses
     *
     * @ORM\ManyToOne(targetEntity="Uaddresses")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="address_id", referencedColumnName="id")
     * })
     */
    private $address;

    /**
     * Constructor
     */
    public function __construct()
    {
        $this->app = new \Doctrine\Common\Collections\ArrayCollection();
    }
    

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set name
     *
     * @param string $name
     * @return Udevelopers
     */
    public function setName($name)
    {
        $this->name = $name;
    
        return $this;
    }

    /**
     * Get name
     *
     * @return string 
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Add app
     *
     * @param \Neo\UserBundle\Entity\Uapps $app
     * @return Udevelopers
     */
    public function addApp(\Neo\UserBundle\Entity\Uapps $app)
    {
        $this->app[] = $app;
    
        return $this;
    }

    /**
     * Remove app
     *
     * @param \Neo\UserBundle\Entity\Uapps $app
     */
    public function removeApp(\Neo\UserBundle\Entity\Uapps $app)
    {
        $this->app->removeElement($app);
    }

    /**
     * Get app
     *
     * @return \Doctrine\Common\Collections\Collection 
     */
    public function getApp()
    {
        return $this->app;
    }

    /**
     * Set country
     *
     * @param \Neo\UserBundle\Entity\Ucountries $country
     * @return Udevelopers
     */
    public function setCountry(\Neo\UserBundle\Entity\Ucountries $country = null)
    {
        $this->country = $country;
    
        return $this;
    }

    /**
     * Get country
     *
     * @return \Neo\UserBundle\Entity\Ucountries 
     */
    public function getCountry()
    {
        return $this->country;
    }

    /**
     * Set address
     *
     * @param \Neo\UserBundle\Entity\Uaddresses $address
     * @return Udevelopers
     */
    public function setAddress(\Neo\UserBundle\Entity\Uaddresses $address = null)
    {
        $this->address = $address;
    
        return $this;
    }

    /**
     * Get address
     *
     * @return \Neo\UserBundle\Entity\Uaddresses 
     */
    public function getAddress()
    {
        return $this->address;
    }
}