<?php

namespace Neo\UserBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Uevents
 *
 * @ORM\Table(name="UEvents")
 * @ORM\Entity
 */
class Uevents
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="serverTime", type="datetime", nullable=false)
     */
    private $servertime;

    /**
     * @var string
     *
     * @ORM\Column(name="description", type="text", nullable=false)
     */
    private $description;

    /**
     * @var \Uusers
     *
     * @ORM\ManyToOne(targetEntity="User")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="user_id", referencedColumnName="id")
     * })
     */
    private $user;

    /**
     * @var \Usystemactions
     *
     * @ORM\ManyToOne(targetEntity="Usystemactions")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="action_id", referencedColumnName="id")
     * })
     */
    private $action;



    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set servertime
     *
     * @param \DateTime $servertime
     * @return Uevents
     */
    public function setServertime($servertime)
    {
        $this->servertime = $servertime;
    
        return $this;
    }

    /**
     * Get servertime
     *
     * @return \DateTime 
     */
    public function getServertime()
    {
        return $this->servertime;
    }

    /**
     * Set description
     *
     * @param string $description
     * @return Uevents
     */
    public function setDescription($description)
    {
        $this->description = $description;
    
        return $this;
    }

    /**
     * Get description
     *
     * @return string 
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set user
     *
     * @param \Neo\UserBundle\Entity\Uusers $user
     * @return Uevents
     */
    public function setUser(\Neo\UserBundle\Entity\Uusers $user = null)
    {
        $this->user = $user;
    
        return $this;
    }

    /**
     * Get user
     *
     * @return \Neo\UserBundle\Entity\Uusers 
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * Set action
     *
     * @param \Neo\UserBundle\Entity\Usystemactions $action
     * @return Uevents
     */
    public function setAction(\Neo\UserBundle\Entity\Usystemactions $action = null)
    {
        $this->action = $action;
    
        return $this;
    }

    /**
     * Get action
     *
     * @return \Neo\UserBundle\Entity\Usystemactions 
     */
    public function getAction()
    {
        return $this->action;
    }
}