<?php

namespace Neo\UserBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Unotifications
 *
 * @ORM\Table(name="UNotifications")
 * @ORM\Entity
 */
class Unotifications
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateTime", type="datetime", nullable=false)
     */
    private $datetime;

    /**
     * @var boolean
     *
     * @ORM\Column(name="isRead", type="boolean", nullable=false)
     */
    private $isread;

    /**
     * @var \Unotificationtemplates
     *
     * @ORM\ManyToOne(targetEntity="Unotificationtemplates")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="notificationTemplate_id", referencedColumnName="id")
     * })
     */
    private $notificationtemplate;

    /**
     * @var \Uusers
     *
     * @ORM\ManyToOne(targetEntity="User")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="user_id", referencedColumnName="id")
     * })
     */
    private $user;



    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set datetime
     *
     * @param \DateTime $datetime
     * @return Unotifications
     */
    public function setDatetime($datetime)
    {
        $this->datetime = $datetime;
    
        return $this;
    }

    /**
     * Get datetime
     *
     * @return \DateTime 
     */
    public function getDatetime()
    {
        return $this->datetime;
    }

    /**
     * Set isread
     *
     * @param boolean $isread
     * @return Unotifications
     */
    public function setIsread($isread)
    {
        $this->isread = $isread;
    
        return $this;
    }

    /**
     * Get isread
     *
     * @return boolean 
     */
    public function getIsread()
    {
        return $this->isread;
    }

    /**
     * Set notificationtemplate
     *
     * @param \Neo\UserBundle\Entity\Unotificationtemplates $notificationtemplate
     * @return Unotifications
     */
    public function setNotificationtemplate(\Neo\UserBundle\Entity\Unotificationtemplates $notificationtemplate = null)
    {
        $this->notificationtemplate = $notificationtemplate;
    
        return $this;
    }

    /**
     * Get notificationtemplate
     *
     * @return \Neo\UserBundle\Entity\Unotificationtemplates 
     */
    public function getNotificationtemplate()
    {
        return $this->notificationtemplate;
    }

    /**
     * Set user
     *
     * @param \Neo\UserBundle\Entity\Uusers $user
     * @return Unotifications
     */
    public function setUser(\Neo\UserBundle\Entity\Uusers $user = null)
    {
        $this->user = $user;
    
        return $this;
    }

    /**
     * Get user
     *
     * @return \Neo\UserBundle\Entity\Uusers 
     */
    public function getUser()
    {
        return $this->user;
    }
}