<?php

namespace Neo\UserBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * Uprojects
 *
 * @ORM\Table(name="UProjects")
 * @ORM\Entity
 */
class Uprojects
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    
    /**
    * @ORM\Column(name="name", type="string", length=255)
    */
    private $name;
    
    /**
     * @var \Doctrine\Common\Collections\Collection
     *
     * @ORM\ManyToMany(targetEntity="Uapps", inversedBy="project")
     * @ORM\JoinTable(name="uappsprojects",
     *   joinColumns={
     *     @ORM\JoinColumn(name="project_id", referencedColumnName="id")
     *   },
     *   inverseJoinColumns={
     *     @ORM\JoinColumn(name="app_id", referencedColumnName="id")
     *   }
     * )
     */
    private $app;


    /**
     * @ORM\ManyToMany(targetEntity="User", mappedBy="projects")
     */
    private $users;

    /**
     * @ORM\ManyToMany(targetEntity="Uenterprises", mappedBy="projects")
     */
    private $enterprises;



    /**
     * Constructor
     */
    public function __construct()
    {
        $this->app = new \Doctrine\Common\Collections\ArrayCollection();
    }
    

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    public function setId($id)
    {
        $this->id=$id;
        return $this;
    }


    /**
     * Add app
     *
     * @param \Neo\UserBundle\Entity\Uapps $app
     * @return Uprojects
     */
    public function addApp(\Neo\UserBundle\Entity\Uapps $app)
    {
        $this->app[] = $app;
    
        return $this;
    }

    /**
     * Remove app
     *
     * @param \Neo\UserBundle\Entity\Uapps $app
     */
    public function removeApp(\Neo\UserBundle\Entity\Uapps $app)
    {
        $this->app->removeElement($app);
    }

    /**
     * Get app
     *
     * @return \Doctrine\Common\Collections\Collection 
     */
    public function getApp()
    {
        return $this->app;
    }
}