<?php

namespace Neo\UserBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Utelephones
 *
 * @ORM\Table(name="UTelephones")
 * @ORM\Entity
 */
class Utelephones
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="telephoneNumber", type="string", length=20, nullable=false)
     */
    private $telephonenumber;

    /**
     * @var \Uusers
     *
     * @ORM\ManyToOne(targetEntity="User")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="user_id", referencedColumnName="id")
     * })
     */
    private $user;

    /**
     * @var \Utelephonetypes
     *
     * @ORM\ManyToOne(targetEntity="Utelephonetypes")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="telephoneType_id", referencedColumnName="id")
     * })
     */
    private $telephonetype;



    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set telephonenumber
     *
     * @param string $telephonenumber
     * @return Utelephones
     */
    public function setTelephonenumber($telephonenumber)
    {
        $this->telephonenumber = $telephonenumber;
    
        return $this;
    }

    /**
     * Get telephonenumber
     *
     * @return string 
     */
    public function getTelephonenumber()
    {
        return $this->telephonenumber;
    }

    /**
     * Set user
     *
     * @param \Neo\UserBundle\Entity\Uusers $user
     * @return Utelephones
     */
    public function setUser(\Neo\UserBundle\Entity\Uusers $user = null)
    {
        $this->user = $user;
    
        return $this;
    }

    /**
     * Get user
     *
     * @return \Neo\UserBundle\Entity\Uusers 
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * Set telephonetype
     *
     * @param \Neo\UserBundle\Entity\Utelephonetypes $telephonetype
     * @return Utelephones
     */
    public function setTelephonetype(\Neo\UserBundle\Entity\Utelephonetypes $telephonetype = null)
    {
        $this->telephonetype = $telephonetype;
    
        return $this;
    }

    /**
     * Get telephonetype
     *
     * @return \Neo\UserBundle\Entity\Utelephonetypes 
     */
    public function getTelephonetype()
    {
        return $this->telephonetype;
    }
}